org.eclipse.viatra.cep.vepl.vepl

## Interface ComplexEventPattern

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, EventPattern, ModelElement, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    ComplexEventPatternImpl

      public interface ComplexEventPattern
      extends EventPattern

  A representation of the model object 'Complex Event Pattern'.

  The following features are supported:

  - `Complex Event Expression`
  - `Context`
  See Also:
    `VeplPackage.getComplexEventPattern()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ComplexEventExpression` | `getComplexEventExpression()` Returns the value of the 'Complex Event Expression' containment reference.
    `ContextEnum` | `getContext()` Returns the value of the 'Context' attribute.
    `void` | `setComplexEventExpression(ComplexEventExpression value)` Sets the value of the '`Complex Event Expression`' containment reference.
    `void` | `setContext(ContextEnum value)` Sets the value of the '`Context`' attribute.

    - ### Methods inherited from interface org.eclipse.viatra.cep.vepl.vepl.EventPattern

      `getParameters, setParameters`

    - ### Methods inherited from interface org.eclipse.viatra.cep.vepl.vepl.ModelElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getComplexEventExpression

          ComplexEventExpression getComplexEventExpression()

      Returns the value of the 'Complex Event Expression' containment reference.

      If the meaning of the 'Complex Event Expression' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Complex Event Expression' containment reference.
      See Also:
        `setComplexEventExpression(ComplexEventExpression)`, `VeplPackage.getComplexEventPattern_ComplexEventExpression()`
      Generated:
      Model:
        containment="true"

    - #### setComplexEventExpression

          void setComplexEventExpression(ComplexEventExpression value)

      Sets the value of the '`Complex Event Expression`' containment reference.
      Parameters:
        `value` - the new value of the 'Complex Event Expression' containment reference.
      See Also:
        `getComplexEventExpression()`
      Generated:

    - #### getContext

          ContextEnum getContext()

      Returns the value of the 'Context' attribute. The literals are from the enumeration `ContextEnum`.

      If the meaning of the 'Context' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Context' attribute.
      See Also:
        `ContextEnum`, `setContext(ContextEnum)`, `VeplPackage.getComplexEventPattern_Context()`
      Generated:
      Model:

    - #### setContext

          void setContext(ContextEnum value)

      Sets the value of the '`Context`' attribute.
      Parameters:
        `value` - the new value of the 'Context' attribute.
      See Also:
        `ContextEnum`, `getContext()`
      Generated: